<template>
    <el-container class="flex-column">
        <div class="table-search">
            <search @success="handleSuccess" status="3"></search>
            <optionBtn @success="handleSuccess" :dataSelect="dataSelect" :dataSelectFull="dataSelectFull" status="3" name="已核销订单" :searchKey="searchKey"></optionBtn>
        </div>
        <el-main class="nopadding">
            <div class="table-container">
                <tablePage ref="tablePage" @success="tableHandle" @successFull="tableHandleFull" status="3"></tablePage>
            </div>
        </el-main>
    </el-container>  
</template>

<script>
import search from '@/views/manage/order/components/search';
import optionBtn from '@/views/manage/order/components/option';
import tablePage from '@/views/manage/order/components/table';
export default {
    components: {
        search,tablePage,optionBtn
    },
    data(){
        return {
            searchKey:{
                ex_status:3
            },
            dataSelect:[],
            dataSelectFull:[],
        }
    },
    methods: {
        tableHandle(data){
            this.dataSelect = data;
        },
        tableHandleFull(data){
            this.dataSelectFull = data;
        },
        handleSuccess(data){
            this.searchKey = data;
            this.$refs.tablePage.upData(data)
        },
        handleClick(name){
            this.activeName = name;
            this.searchKey.type = name;
            this.$refs.tablePage.upData(this.searchKey)
        }
    }
}
</script>